Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.admin
Class LdapUserProfile

    java.lang.Object
      org.jivesoftware.admin.LdapUserProfile

    public class LdapUserProfile

extends Object

Bean that stores the vcard mapping. It is also responsible for saving the mapping as an XML property and retrieving it.

Author:
  Gaston Dombiak

Constructor Summary
`LdapUserProfile()`

Method Summary
`Boolean` | `getAvatarStoredInDB()`
`String` | `getBirthday()`
`String` | `getBusinessCity()`
`String` | `getBusinessCountry()`
`String` | `getBusinessDepartment()`
`String` | `getBusinessFax()`
`String` | `getBusinessJobTitle()`
`String` | `getBusinessMobile()`
`String` | `getBusinessPager()`
`String` | `getBusinessPhone()`
`String` | `getBusinessState()`
`String` | `getBusinessStreet()`
`String` | `getBusinessZip()`
`String` | `getEmail()`
`String` | `getFullName()`
`String` | `getHomeCity()`
`String` | `getHomeCountry()`
`String` | `getHomeFax()`
`String` | `getHomeMobile()`
`String` | `getHomePager()`
`String` | `getHomePhone()`
`String` | `getHomeState()`
`String` | `getHomeStreet()`
`String` | `getHomeZip()`
`String` | `getName()`
`String` | `getNickname()`
`String` | `getPhoto()`
`void` | `initForActiveDirectory()` Sets default mapping values when using an Active Directory server.
`void` | `initForOpenLDAP()` Sets default mapping values when using an Active Directory server.
`boolean` | `loadFromProperties()` Returns true if the vCard mappings where successfully loaded from the XML/DB properties.
`void` | `saveProperties()` Saves current configuration as XML/DB properties.
`void` | `setAvatarStoredInDB(Boolean avatarStoredInDB)`
`void` | `setBirthday(String birthday)`
`void` | `setBusinessCity(String businessCity)`
`void` | `setBusinessCountry(String businessCountry)`
`void` | `setBusinessDepartment(String businessDepartment)`
`void` | `setBusinessFax(String businessFax)`
`void` | `setBusinessJobTitle(String businessJobTitle)`
`void` | `setBusinessMobile(String businessMobile)`
`void` | `setBusinessPager(String businessPager)`
`void` | `setBusinessPhone(String businessPhone)`
`void` | `setBusinessState(String businessState)`
`void` | `setBusinessStreet(String businessStreet)`
`void` | `setBusinessZip(String businessZip)`
`void` | `setEmail(String email)`
`void` | `setFullName(String fullName)`
`void` | `setHomeCity(String homeCity)`
`void` | `setHomeCountry(String homeCountry)`
`void` | `setHomeFax(String homeFax)`
`void` | `setHomeMobile(String homeMobile)`
`void` | `setHomePager(String homePager)`
`void` | `setHomePhone(String homePhone)`
`void` | `setHomeState(String homeState)`
`void` | `setHomeStreet(String homeStreet)`
`void` | `setHomeZip(String homeZip)`
`void` | `setName(String name)`
`void` | `setNickname(String nickname)`
`void` | `setPhoto(String photo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapUserProfile

    public LdapUserProfile()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String email)

### getFullName

    public String getFullName()

### setFullName

    public void setFullName(String fullName)

### getNickname

    public String getNickname()

### setNickname

    public void setNickname(String nickname)

### getBirthday

    public String getBirthday()

### setBirthday

    public void setBirthday(String birthday)

### getPhoto

    public String getPhoto()

### setPhoto

    public void setPhoto(String photo)

### getHomeStreet

    public String getHomeStreet()

### setHomeStreet

    public void setHomeStreet(String homeStreet)

### getHomeCity

    public String getHomeCity()

### setHomeCity

    public void setHomeCity(String homeCity)

### getHomeState

    public String getHomeState()

### setHomeState

    public void setHomeState(String homeState)

### getHomeZip

    public String getHomeZip()

### setHomeZip

    public void setHomeZip(String homeZip)

### getHomeCountry

    public String getHomeCountry()

### setHomeCountry

    public void setHomeCountry(String homeCountry)

### getHomePhone

    public String getHomePhone()

### setHomePhone

    public void setHomePhone(String homePhone)

### getHomeMobile

    public String getHomeMobile()

### setHomeMobile

    public void setHomeMobile(String homeMobile)

### getHomeFax

    public String getHomeFax()

### setHomeFax

    public void setHomeFax(String homeFax)

### getHomePager

    public String getHomePager()

### setHomePager

    public void setHomePager(String homePager)

### getBusinessStreet

    public String getBusinessStreet()

### setBusinessStreet

    public void setBusinessStreet(String businessStreet)

### getBusinessCity

    public String getBusinessCity()

### setBusinessCity

    public void setBusinessCity(String businessCity)

### getBusinessState

    public String getBusinessState()

### setBusinessState

    public void setBusinessState(String businessState)

### getBusinessZip

    public String getBusinessZip()

### setBusinessZip

    public void setBusinessZip(String businessZip)

### getBusinessCountry

    public String getBusinessCountry()

### setBusinessCountry

    public void setBusinessCountry(String businessCountry)

### getBusinessJobTitle

    public String getBusinessJobTitle()

### setBusinessJobTitle

    public void setBusinessJobTitle(String businessJobTitle)

### getBusinessDepartment

    public String getBusinessDepartment()

### setBusinessDepartment

    public void setBusinessDepartment(String businessDepartment)

### getBusinessPhone

    public String getBusinessPhone()

### setBusinessPhone

    public void setBusinessPhone(String businessPhone)

### getBusinessMobile

    public String getBusinessMobile()

### setBusinessMobile

    public void setBusinessMobile(String businessMobile)

### getBusinessFax

    public String getBusinessFax()

### setBusinessFax

    public void setBusinessFax(String businessFax)

### getBusinessPager

    public String getBusinessPager()

### setBusinessPager

    public void setBusinessPager(String businessPager)

### getAvatarStoredInDB

    public Boolean getAvatarStoredInDB()

### setAvatarStoredInDB

    public void setAvatarStoredInDB(Boolean avatarStoredInDB)

### initForActiveDirectory

    public void initForActiveDirectory()

  Sets default mapping values when using an Active Directory server.

### initForOpenLDAP

    public void initForOpenLDAP()

  Sets default mapping values when using an Active Directory server.

### saveProperties

    public void saveProperties()

  Saves current configuration as XML/DB properties.

### loadFromProperties

    public boolean loadFromProperties()

  Returns true if the vCard mappings where successfully loaded from the XML/DB properties.

  Returns:
    true if mappings where loaded from saved property.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.